petsc-3.4.2 2013-07-02

# PetscInfoActivateClass

Activates PlogInfo() messages for a PETSc object class.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscInfoActivateClass(int objclass)

Not Collective

### Input Parameter

objclass -The object class, e.g., MAT_CLASSID, SNES_CLASSID, etc.

### Notes

One can pass 0 to activate all messages that are not associated with an object.

### Keywords

allow, information, printing, monitoring

### See Also

PetscInfoDeactivateClass(), PetscInfo(), PetscInfoAllow()

Level:developer
Location:src/sys/info/verboseinfo.c
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages